<?php

//////////////////////////////////////////////////////////////
// ThemeTrust Custom Options Page
/////////////////////////////////////////////////////////////

$ttrust_theme_name = "Solo";
$ttrust_theme_version = "1.0.5";

require_once( TEMPLATEPATH . '/admin/admin-setup.php');
require_once( TEMPLATEPATH . '/admin/admin-functions.php');

add_action( 'admin_init', 'ttrust_register_options' );

function ttrust_register_options() {
	register_setting( 'ttrust_options_group', 'ttrust_options' );
}



function ttrust_options_page() {
	
global $ttrust_theme_name, $ttrust_theme_version, $ttrust_default_slideshow_speed, $ttrust_options, $ttrust_suggested_img_size;

	
?>

<div class="wrap">
	<div id="optionsWrap">			
		<div id="optionsHeader" class="clearfix">
			<a id="themetrustLogo" href="#"><img src="<?php echo ADMIN_PATH . '/images/themetrust_logo.png'; ?>" alt="ThemeTrust" /></a>
			<span id="themeVersion">
				<?php echo("<strong>".$ttrust_theme_name . "</strong> v" . $ttrust_theme_version ); ?> | <a href="http://themetrust.com/support-forums" target="_blank"><?php _e('Support', 'themetrust'); ?></a>
			</span>
			<ul id="optionsNav" class="tabs">
				<li id="tab1"><a href="#option1"><?php _e('General', 'themetrust'); ?></a></li>
				<li id="tab2"><a href="#option2"><?php _e('Appearance', 'themetrust'); ?></a></li>
				<li id="tab3"><a href="#option3"><?php _e('Integration', 'themetrust'); ?></a></li>				
			</ul>
			
		</div>		
		
		<form id="optionsForm" method="post" action="options.php">			
		
		    <?php
			settings_fields( 'ttrust_options_group' ); 
		    $ttrust_options = ttrust_get_option('all'); 
			$ttrust_logo = get_option('ttrust_logo');							
			?>
		    
		    <div class="optionsContainer clearfix">	
			
				<div id="statusBar" class="clearfix">
					<?php if(isset($_REQUEST['updated']) || isset($_REQUEST['reset'])) echo '<div id="message">'.$ttrust_theme_name.' '. 'Settings updated'.'</div>'; ?>
					<input type="submit" class="button" value="Save Changes" />
				</div>	
			
		    	<div id="option1" class="optionContent">	    		
					
					<!-- Logo -->					
					<div class="subOption">
						<h3 class="logoHeading"><?php _e('Logo', 'themetrust'); ?></h3>	    			
				    	
						<div class="logoContainer itemRow">
							<div id="status_ttrust_logo"></div>
							<?php if(isset($ttrust_logo) && $ttrust_logo != "" ){ ?>	
								<img id="img_ttrust_logo" src="<?php echo($ttrust_logo); ?>" />
							<?php } ?>
						</div>	    											
						
						<div class="itemRow clearfix">		
							<input name="ttrust_logo" id="ttrust_logo_upload" type="text" size="50" value="<?php if(isset($ttrust_logo)) echo $ttrust_logo;  ?>" />	<input type="button" class="button imageUploadBtn" id="ttrust_logo" value="Upload Image"/><input type="button" <?php if(!$ttrust_logo) echo 'style="display: none;"'; ?> class="button imageResetButton" title="ttrust_logo" id="reset_ttrust_logo" value="Remove">
						</div>
						
						<p class="instructions"><?php _e('Enter a URL or upload a custom logo.', 'themetrust'); ?></p>												
		 										
					</div>
					
					<!-- Homepage Message-->
					<div class="subOption">
						<h3 class="cssHeading"><?php _e('Top Message', 'themetrust'); ?></h3>
						<textarea name="ttrust_options[ttrust_home_message]" cols=60 rows=5><?php if(isset($ttrust_options['ttrust_home_message'])) echo $ttrust_options['ttrust_home_message']; ?></textarea>
						<p class="instructions"><?php _e('Enter a message. This will appear on the home page under the slideshow.', 'themetrust'); ?></p>
					</div>	
					
					<!-- Scroll Settings-->
					<div class="subOption">
						<h3 class="pagesHeading"><?php _e('Page Scroll Settings', 'themetrust'); ?></h3>
						<div class="itemRow clearfix">
							<span class="inlineItem clearfix"><label class="medium"><strong><?php _e('Scroll Speed:', 'themetrust'); ?></strong></label> <input name="ttrust_options[ttrust_scroll_speed]" id="scrollSpeed"  type="text" size=7 value="<?php if(isset($ttrust_options['ttrust_scroll_speed'])) echo $ttrust_options['ttrust_scroll_speed']; ?>" /> </span>
						</div>
						<p class="instructions"><?php _e('Control speed of the page scrolling (in milliseconds).', 'themetrust'); ?></p>
					</div>				
					
					<!-- CSS -->
					<div class="subOption">
						<h3 class="cssHeading"><?php _e('Custom CSS', 'themetrust'); ?></h3>
						<textarea name="ttrust_options[ttrust_custom_css]" cols=70 rows=6><?php if (isset($ttrust_options['ttrust_custom_css'])) echo $ttrust_options['ttrust_custom_css']; ?></textarea>
						<p class="instructions"><?php _e('Enter custom CSS here.', 'themetrust'); ?> </p>
					</div>
					
					<!-- Footer Text -->
					<div class="subOption">
						<h3 class="cssHeading"><?php _e('Footer Text', 'themetrust'); ?></h3>
						
						<h4><?php _e('Left side:', 'themetrust'); ?></h4>
						<textarea name="ttrust_options[ttrust_footer_left]" cols=70 rows=6><?php if (isset($ttrust_options['ttrust_footer_left'])) echo $ttrust_options['ttrust_footer_left']; ?></textarea>
						<p class="instructions"><?php _e('This will appear on the left side of the footer.', 'themetrust'); ?></p>
						
						<h4><?php _e('Right side:', 'themetrust'); ?></h4>
						<textarea name="ttrust_options[ttrust_footer_right]" cols=70 rows=6><?php if (isset($ttrust_options['ttrust_footer_right'])) echo $ttrust_options['ttrust_footer_right']; ?></textarea>
						<p class="instructions"><?php _e('This will appear on the right side of the footer.', 'themetrust'); ?></p>
					</div>
									
				</div>
				
				<div id="option2" class="optionContent">
					<!-- Color -->
					<div class="subOption">
						<h3 class="colorHeading"><?php _e('Colors', 'themetrust'); ?></h3>						
						
						<div class="itemRow clearfix divided">		
						<label class="singleLine"><?php _e('Footer Color:', 'themetrust'); ?></label> 
						<select name="ttrust_options[ttrust_footer_color]" id="footerColor" class="ttrustSelect inlineItem">
							<option<?php if($ttrust_options['ttrust_footer_color']=='dark') echo ' selected'; ?> value="dark"><?php _e('Dark', 'themetrust'); ?></option>
							<option<?php if($ttrust_options['ttrust_footer_color']=='light') echo ' selected'; ?> value="light"><?php _e('Light', 'themetrust'); ?></option>							
						</select>
						</div>
						
						<div class="itemRow clearfix divided">
							<span class="inlineItem clearfix"><label class="medium"><strong><?php _e('Menu Selected:', 'themetrust'); ?></strong></label> <input class="colorField" name="ttrust_options[ttrust_color_menu]" id="colorLink"  type="text" size=7 value="<?php if(isset($ttrust_options['ttrust_color_menu'])) echo $ttrust_options['ttrust_color_menu']; ?>" /> </span>
						</div>		
											
						<div class="itemRow clearfix divided">
							<span class="inlineItem clearfix"><label class="medium"><strong><?php _e('Links:', 'themetrust'); ?></strong></label> <input class="colorField" name="ttrust_options[ttrust_color_link]" id="colorLink"  type="text" size=7 value="<?php if(isset($ttrust_options['ttrust_color_link'])) echo $ttrust_options['ttrust_color_link']; ?>" /> </span>
							<span class="inlineItem clearfix"><label class="small"><?php _e('hover:', 'themetrust'); ?></label> <input class="colorField" name="ttrust_options[ttrust_color_link_hover]" id="colorLinkHover"  type="text" size=7 value="<?php if(isset($ttrust_options['ttrust_color_link_hover'])) echo $ttrust_options['ttrust_color_link_hover']; ?>" /> </span>
						</div>
						
						<div class="itemRow clearfix divided">
							<span class="inlineItem clearfix"><label class="medium"><strong><?php _e('Button:', 'themetrust'); ?></strong></label> <input class="colorField" name="ttrust_options[ttrust_color_btn]" id="colorBtn"  type="text" size=7 value="<?php if(isset($ttrust_options['ttrust_color_btn'])) echo $ttrust_options['ttrust_color_btn']; ?>" /> </span>
							<span class="inlineItem clearfix"><label class="small">hover:</label> <input class="colorField" name="ttrust_options[ttrust_color_btn_hover]" id="colorBtnHover"  type="text" size=7 value="<?php if(isset($ttrust_options['ttrust_color_btn_hover'])) echo $ttrust_options['ttrust_color_btn_hover']; ?>" /> </span>
						</div>
						
						<p class="instructions"><?php _e('Use these fields to set custom colors. If the fields are left blank, the default colors will be used.', 'themetrust'); ?></p>
					</div>					
				</div>
			
			
				<div id="option3" class="optionContent">		
					
					
					<!-- Analytics -->
					<div class="subOption">
						<h3 class="analyticsHeading"><?php _e('Analytics', 'themetrust'); ?></h3>
						<textarea name="ttrust_options[ttrust_analytics]" cols=40 rows=5><?php if(isset($ttrust_options['ttrust_analytics'])) echo $ttrust_options['ttrust_analytics']; ?></textarea>
						<p class="instructions"><?php _e('Enter your custom analytics code. (e.g. Google Analytics).', 'themetrust'); ?></p>
					</div>		
				</div>		
			
		<input type="submit" class="button right" value="<?php _e('Save Changes', 'themetrust'); ?>" />
		
	</div>
</div>
<?php } ?>