//////////////////////////////////////////////////////////////
// Set Variables
/////////////////////////////////////////////////////////////

var transitionSpeed = 500;
var scrollSpeed = 500;
var fadeDelay = 100;
var currentProject = "";
var nextProject = "";

//////////////////////////////////////////////////////////////
// Functions
/////////////////////////////////////////////////////////////

function getProject(project) {	
	return jQuery("#project-"+project);
}

function getProjectLink(project) {
	return jQuery("#thumb-"+project+" a");
}

function showHashProject(project, animate) {	
	
	
	
	nextProject = getProject(project);	

	if (!getProjectLink(project).hasClass("selected")) {		
		
		
		// Fade in the next project
		nextProject.delay(fadeDelay).fadeIn(transitionSpeed);
		
		// Add the selected class to the thumbnail
		jQuery(".projectThumbs a.selected").removeClass("selected");
		getProjectLink(project).addClass("selected");
		section = getProjectLink(project).attr("class").split(' ')[0];
		
		// Adjust the height of project container
		jQuery("#"+section+" .projects").animate({
			height: nextProject.outerHeight()
		}, scrollSpeed );				
	}
	
	// Scroll to the top of the projects
	jQuery.scrollTo("#"+section+" .projects", scrollSpeed, { offset:-25 });
}

function showProject(section, project, animate) {	
	
	if (jQuery("#"+section+" .projectThumbs a.selected").attr("href")) {
		currentProject = getProject(jQuery("#"+section+" .projectThumbs a.selected").attr("href").replace("\#",""));		
	}	
	
	nextProject = getProject(project);	

	if (!getProjectLink(project).hasClass("selected")) {
				
		// Fade out the current project
		if (currentProject) {currentProject.fadeOut(transitionSpeed);}
		
		// Fade in the next project
		nextProject.delay(fadeDelay).fadeIn(transitionSpeed);
		
		// Add the selected class to the thumbnail
		jQuery("#"+section+" .projectThumbs a.selected").removeClass("selected");
		getProjectLink(project).addClass("selected");
		
		// Adjust the height of project container
		jQuery("#"+section+" .projects").animate({
			height: nextProject.outerHeight()
		}, scrollSpeed );				
	}
	
	// Scroll to the top of the projects
	jQuery.scrollTo("#"+section+" .projects", scrollSpeed, { offset:-25, axis:'y' });
}

function hideProject(section) {
	currentProject = getProject(jQuery("#"+section+" .projectThumbs a.selected").attr("href").replace("\#",""));		
	
	// Fade out the current project
	currentProject.fadeOut(transitionSpeed);
	
	// Remove the selected class from thumbnail
	jQuery("#"+section+" .projectThumbs a.selected").removeClass("selected");
	
	// Close the project container
	jQuery("#"+section+" .projects").delay(fadeDelay).animate({
		height: 0
	}, transitionSpeed );	
}

function createProjectSlider() {
	jQuery(".projectThumbs a").each(function(){
		var project = jQuery(this).attr("href").replace("\#","");		
		jQuery(".slideshow", getProject(project)).easySlider({
			speed: transitionSpeed,
			project: project,
			continuous: true,
			numeric: true,
			controlsBefore: '<div class="slideshowControls clearfix">',
			controlsAfter: '</div>'				
		});
	});
}

function createCloseProjectButton() {	
	jQuery(".closeBtn").click(function() {
		hideProject(jQuery(this).attr("class").split(' ')[0]);
	});
}


//////////////////////////////////////////////////////////////
// Initialize
/////////////////////////////////////////////////////////////


jQuery.noConflict();
jQuery(document).ready(function(){	
	
	// Rename project ids
	jQuery(".projectDetails").each(function(){
		jQuery(this).attr("id","project-"+jQuery(this).attr("id"));
	});

	// Add click events to project thumbnails
	jQuery(".projectThumbs a").click(function() {		
		showProject(jQuery(this).attr("class"), jQuery(this).attr("href").replace("\#",""));
	});
	
	// Call inititial functions
	createCloseProjectButton();	
	createProjectSlider();

	// Show project is there is a hash in the URL
	var project = location.hash.replace("\#","");
	if (getProject(project).length) {
		showHashProject(project, true);
	}	
});